// Copyright © Selmo Technology GmbH. All Rights Reserved

using Novus.Connectivity.Common;
using Novus.Shared.Types.Result;
using SelmoStudio.Hmi.Server.ProcessValue.Model;

namespace SelmoStudio.Hmi.Server.ProcessValue.Services
{
    public class HistoryProcessValueService : IHistoryProcessValueService
    {
        public async Task<OperationResult<List<HistoryProcessValueResponse>>> GetValues(DateTimeOffset from, DateTimeOffset to,
            params IProcessValueInfo[] valueInfos)
        {
            List<HistoryProcessValueResponse> historyProcessValueResponses = new();

            var opResult = OperationResult<List<HistoryProcessValueResponse>>.Create(historyProcessValueResponses);
            return opResult;
        }
    }
}